# Class ClassGeneratorUtil.ConstructorArgs

java.lang.Object
bsh.ClassGeneratorUtil.ConstructorArgs

Enclosing class:
  `ClassGeneratorUtil`

public static class ClassGeneratorUtil.ConstructorArgs extends Object
A ConstructorArgs object holds evaluated arguments for a constructor call as well as the index of a possible alternate selector to invoke. This object is used by the constructor switch.

Author:
  Pat Niemeyer
See Also:
  - `ClassGeneratorUtil.generateConstructor(int, String [], int, ClassWriter)`

## Field Summary

Fields
Modifier and Type
Field
Description
`static ClassGeneratorUtil.ConstructorArgs`
`DEFAULT`
A ConstructorArgs which calls the default constructor
`int`
`selector`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBoolean()`
`byte`
`getByte()`
`char`
`getChar()`
`double`
`getDouble()`
`float`
`getFloat()`
`int`
`getInt()`
`long`
`getLong()`
`Object`
`getObject()`
`short`
`getShort()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT

public static ClassGeneratorUtil.ConstructorArgs DEFAULT
A ConstructorArgs which calls the default constructor

### selector

public int selector

## Method Details

### getBoolean

public boolean getBoolean()

### getByte

public byte getByte()

### getChar

public char getChar()

### getShort

public short getShort()

### getInt

public int getInt()

### getLong

public long getLong()

### getDouble

public double getDouble()

### getFloat

public float getFloat()

### getObject

public Object getObject()